package com.bocloud.cmp.model.sangfor;

/**
 * 端口组信息
 */
public class SangforVlanGroupModel {
    private Integer count;  // 连接的设备数量
//    private List data;    // 连接的设备列表
    private Boolean isdefault;
    private String id;
    private String name;
    private Integer native_vlanid;
    private String trunk_vlanid;
    private String type;    //端口组类型 取 值 范 围 'trunk','access'




    private String groupid;     // 端口id
    private Integer pvid;       //porttype 为'trunk'时有效
    private String vlanrange;  //porttype 为'trunk'时有效，形式如”1-10”
    private Integer vlanid;     //porttype 为 access 时有效


    public String getVlanrange() {
        return vlanrange;
    }

    public void setVlanrange(String vlanrange) {
        this.vlanrange = vlanrange;
    }

    public Integer getVlanid() {
        return vlanid;
    }

    public void setVlanid(Integer vlanid) {
        this.vlanid = vlanid;
    }

    public Integer getPvid() {
        return pvid;
    }

    public void setPvid(Integer pvid) {
        this.pvid = pvid;
    }

    public String getGroupid() {
        return groupid;
    }

    public void setGroupid(String groupid) {
        this.groupid = groupid;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Boolean getDefault() {
        return isdefault;
    }

    public void setDefault(Boolean isdefault) {
        this.isdefault = isdefault;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNative_vlanid() {
        return native_vlanid;
    }

    public void setNative_vlanid(Integer native_vlanid) {
        this.native_vlanid = native_vlanid;
    }

    public String getTrunk_vlanid() {
        return trunk_vlanid;
    }

    public void setTrunk_vlanid(String trunk_vlanid) {
        this.trunk_vlanid = trunk_vlanid;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
